Index: /trunk/niupepa/macros/abexpl.dm
===================================================================
--- /trunk/niupepa/macros/abexpl.dm	(revision 1487)
+++ /trunk/niupepa/macros/abexpl.dm	(revision 1488)
@@ -2,5 +2,5 @@
 
 _imagethispage_ {}
-_pagetitle_ {English Abstracts of the M&auml;ori Language Newspapers}
+_pagetitle_ {English Abstracts of the M_amn_ori Language Newspapers}
 
 _content_ {
@@ -8,22 +8,22 @@
 _navigationbar_
 </center>
-<h2>English Abstracts of the M&auml;ori Language Newspapers</h2>
+<h2>English Abstracts of the M_amn_ori Language Newspapers</h2>
 <h3>Introduction</h3>
-<P>The English abstracts of the M&auml;ori language newspapers are designed to give an impression of a whole newspaper 
+<P>The English abstracts of the M_amn_ori language newspapers are designed to give an impression of a whole newspaper 
 issue and to guide researchers to particular topics or information for translation. Although every item in an issue 
 is noted, the abstracts do not represent a full translation of the entire contents. They summarise long items such 
 as editorials, articles, and letters, and briefly record, sometimes by a complete translation, small items such as 
 notices, advertisements, short news reports. In sum the abstracts represent an abbreviated form of a newspaper and 
-so to ensure a complete reading of any item researchers will need to refer to or seek translation of the M&auml;ori text.
+so to ensure a complete reading of any item researchers will need to refer to or seek translation of the M_amn_ori text.
 
 <P>The abstracts follow the order of  items in a newspaper and include the titles and subtitles. Apart from occasional 
 additions in square brackets to clarify or inform, the abstracts report only what is in the newspaper. Where English 
 translation is published in the paper this is noted together with a brief statement of content.
-<P>A few M&auml;ori words remain in the abstracts without translation because they are key words for researchers of M&auml;ori 
-language and culture. These are highlighted and can be clicked on for explanation in the glossary. M&auml;ori names (personal, 
+<P>A few M_amn_ori words remain in the abstracts without translation because they are key words for researchers of M_amn_ori 
+language and culture. These are highlighted and can be clicked on for explanation in the glossary. M_amn_ori names (personal, 
 place and tribal) have been written according to contemporary spelling as far as this is known.
 <P>The English abstracts are being created by a team of researchers who, in 1999, began a three-year project into the 
 history and contents of  these newspapers. The project is funded by grants from the Marsden Fund and the Trustees of 
-the National Library. The research team, from the Department of M&auml;ori Studies at the University of Auckland, comprises 
+the National Library. The research team, from the Department of M_amn_ori Studies at the University of Auckland, comprises 
 Professor Ngapare Hopa, Dr Jane McRae, Jenifer Curnow, and postgraduate researchers Dinah Paul, Hazel Petrie, Yvonne 
 Sutherland, and Lyn Waymouth. They work collaboratively with the History of Print Culture in New Zealand Research Project, 
@@ -32,13 +32,13 @@
 
 <h3>Glossary</h3>
-<P>M&auml;ori words
-<P>The following M&auml;ori words have been retained in the abstracts because they are key words for researchers into 
-M&auml;ori language and culture. They are used here generically and so refer to all the different kinds of texts within 
+<P>M_amn_ori words
+<P>The following M_amn_ori words have been retained in the abstracts because they are key words for researchers into 
+M_amn_ori language and culture. They are used here generically and so refer to all the different kinds of texts within 
 these genres.
 <P>karakia: incantations
-<P>k&ouml;rero: narratives 
+<P>k_omn_rero: narratives 
 <P>waiata: sung and recited poetry
 <P>whakapapa: genealogy
-<P>whakatauk&iuml;: sayings, set expressions
+<P>whakatauk_imn_: sayings, set expressions
 
 <h3>Abbreviations</h3>
Index: /trunk/niupepa/macros/about.dm
===================================================================
--- /trunk/niupepa/macros/about.dm	(revision 1487)
+++ /trunk/niupepa/macros/about.dm	(revision 1488)
@@ -116,4 +116,11 @@
 _aboutextra_ [c=niupepa] {
 _If_("_cgiargl_" eq "mi",<a href="_httppageabout_&l=en">English language version</a><p>)
+
+
+<p>This collection is a work in progess. <a
+href="http://nzdl2.cs.waikato.ac.nz/niupepa/npepa_status.html">Click
+here</a> for details.
+
+
 <h3>_help:textsimplehelpheading_</h3>
 _help:simplehelp_
Index: /trunk/niupepa/macros/npepa.dm
===================================================================
--- /trunk/niupepa/macros/npepa.dm	(revision 1487)
+++ /trunk/niupepa/macros/npepa.dm	(revision 1488)
@@ -1,3 +1,5 @@
 package Global
+
+_httppagehome_ [c=niupepa] {/fast-cgi-bin/library?a=p&p=home}
 
 _textbiblio_ [c=niupepa] {Bibliographic Details}
@@ -48,4 +50,7 @@
 _thispapericonwidth_ [c=niupepa] {0}
 _thispapericonheight_ [c=niupepa] {0}
+
+_httppageabexpl_ [c=niupepa] {_httppagex_(abexpl)}
+
 
 _01width_ {314}
@@ -93,54 +98,4 @@
 _iconcommentary_ [c=niupepa,v=1] {_texticoncommentary_}
 
-# javalinks specific to this collection
-_javafullimage_ [c=niupepa] {
-        fullimage\_on = new Image(_widthefix_, _heightefix_); 
-        fullimage\_on.src = "_httpiconefion_";
-        fullimage\_off = new Image(_widthefix_, _heightefix_); 
-        fullimage\_off.src = "_httpiconefiof_";
-}
-
-_javaprevimage_ [c=niupepa] {
-        previmage\_on = new Image(_widthepix_, _widthepix_); 
-        previmage\_on.src = "_httpiconepion_";
-        previmage\_off = new Image(_widthepix_, _heightepix_); 
-        previmage\_off.src = "_httpiconepiof_";
-}
-
-_javaviewtext_ [c=niupepa] {
-        viewtext\_on = new Image(_widthetextx_, _heightetextx_); 
-        viewtext\_on.src = "_httpiconetexton_";
-        viewtext\_off = new Image(_widthetextx_, _heightetextx_); 
-        viewtext\_off.src = "_httpiconetextof_";
-}
-
-_javacommentary_ [c=niupepa] {
-	commentary\_on = new Image(_thispapericonwidth_, _thispapericonheight_);
-	commentary\_on.src = "_httpiconthispaper_on.gif";
-	commentary\_off = new Image(_thispapericonwidth_, _thispapericonheight_);
-        commentary\_off.src = "_httpiconthispaper_of.gif"; 
-}
-
-_javaviewabstract_ [c=niupepa] {
-        abstract\_on = new Image(_widtheabstrx_, _heighteabstrx_); 
-        abstract\_on.src = "_httpiconeabstron_";
-        abstract\_off = new Image(_widtheabstrx_, _heighteabstrx_); 
-        abstract\_off.src = "_httpiconeabstrof_";
-}
-
-_javaviewpaper_ [c=niupepa] {
-        paper\_on = new Image(_widthenpepax_, _heightenpepax_); 
-        paper\_on.src = "_httpiconenpepaon_";
-        paper\_off = new Image(_widthenpepax_, _heightenpepax_); 
-        paper\_off.src = "_httpiconenpepaof_";
-}
-
-_javaabstractintro_ [c=niupepa] {
-        intro\_on = new Image(_widtheintrox_, _heighteintrox_); 
-        intro\_on.src = "_httpiconeintroon_";
-        intro\_off = new Image(_widtheintrox_, _heighteintrox_); 
-        intro\_off.src = "_httpiconeintroof_";
-}
-
 _prevarrow_ [c=niupepa] {_If_(_httpprevarrow_,<a href="_httpprevarrow__1_">_iconprev_</a>)}
 _nextarrow_ [c=niupepa] {_If_(_httpnextarrow_,<a href="_httpnextarrow__1_">_iconnext_</a>)}
@@ -168,41 +123,25 @@
 width="_thispapericonwidth_" height="_thispapericonheight_" border="0" alt="_texticoncommentary_">}
 
-
-_imagedetach_ [c=niupepa] {<a href="_httpcurrentdocument_&x=1&gg=_cgiarggg_" target=\_blank onMouseover = "img\_on('detach')"
-onMouseout = "img\_off('detach')">_icondetach_</a>}
-_imagedetach_[c=niupepa,v=1] {<a href="_httpcurrentdocument_&x=1&gg=cgiarggg_" target=\_blank>_texticondetach_</a><br>}
-
-
-_imagefullimage_ [c=niupepa] {<a href="_httpcurrentdocument_&gg=full" onMouseover = "img\_on('fullimage')"
-onMouseout = "img\_off('fullimage')">_iconfullimage_</a>}
-_imagefullimage_ [c=niupepa,v=1] {<a href="_httpcurrentdocument_&gg=full">_texticonfullimage_</a><br>}
-
-_imageprevimage_ [c=niupepa] {<a href="_httpcurrentdocument_&gg=prev" onMouseover = "img\_on('previmage')"
-onMouseout = "img\_off('previmage')">_iconprevimage_</a>}
-_imageprevimage_ [c=niupepa,v=1] {<a href="_httpcurrentdocument_&gg=prev">_texticonprevimage_</a><br>}
-
-_imageviewtext_ [c=niupepa] {<a href="_httpcurrentdocument_&gg=text" onMouseover = "img\_on('viewtext')"
-onMouseout = "img\_off('viewtext')">_iconviewtext_</a>}
-_imageviewtext_ [c=niupepa,v=1] {<a href="_httpcurrentdocument_&gg=text">_texticonviewtext_</a><br>}
-
-_imageviewabstract_ [c=niupepa] {<a href="_httpdocument_&gg=text&&cl=_cgiargcl_&d=_1_" onMouseover = "img\_on('abstract')"
-onMouseout = "img\_off('abstract')">_iconviewabstract_</a>}
-_imageviewabstract_ [c=niupepa,v=1] {<a href="_httpdocument_&gg=text&cl=_cgiargcl_&d=_1_">_texticonviewabstract_</a><br>}
-
-_imageviewpaper_ [c=niupepa] {<a href="_httpdocument_&cl=_cgiargcl_&d=_1_" onMouseover = "img\_on('paper')"
-onMouseout = "img\_off('paper')">_iconviewpaper_</a>}
-_imageviewpaper_ [c=niupepa,v=1] {<a href="_httpdocument_&cl=_cgiargcl_&d=_1_">_texticonviewpaper_</a><br>}
-
-_imageabstractintro_ [c=niupepa] {<a href="_httppagex_(abexpl)" onMouseover = "img\_on('intro')"
-onMouseout = "img\_off('intro')">_iconabstractintro_</a>}
-_imageabstractintro_ [c=niupepa,v=1] {<a href="_httppagex_(abexpl)">_texticonabstractintro_</a><br>}
+# can't use _gsimage_ macro for detach button as we need to include target
+_imagedetach_ [c=niupepa] {<a href="_httpcurrentdocument_&x=1&gg=_cgiarggg_" target=\_blank onMouseover="roll('detach',1);" onMouseOut="roll('detach',0);"><img
+name="detach" src="_httpiconedtchof_" onLoad="gbutton(this,'_httpiconedtchon_');" border=0 alt="_texticondetach_"></a>}
+_imagedetach_ [c=niupepa,v=1] {<a href="_httpcurrentdocument_&x=1&gg=_cgiarggg_" target=\_blank>_texticondetach_</a><br>}
+
+
+_imagefullimage_ [c=niupepa] {_gsimage_(_httpcurrentdocument_&gg=full,_document:httpiconefiof_,_document:httpiconefion_,fi,_document:texticonfullimage_)}
+
+_imageprevimage_ [c=niupepa] {_gsimage_(_httpcurrentdocument_&gg=prev,_document:httpiconepiof_,_document:httpiconepion_,pi,_document:texticonprevimage_)}
+
+_imageviewtext_ [c=niupepa] {_gsimage_(_httpcurrentdocument_&gg=text,_document:httpiconetextof_,_document:httpiconetexton_,etext,_document:texticonviewtext_)}
+
+_imageviewabstract_ [c=niupepa] {_gsimage_(_httpdocument_&gg=text&cl=_cgiargcl_&d=_1_,_document:httpiconeabstrof_,_document:httpiconeabstron_,eabstr,_document:texticonviewabstract_)}
+
+_imageviewpaper_ [c=niupepa] {_gsimage_(_httpdocument_&cl=_cgiargcl_&d=_1_,_document:httpiconenpepaof_,_document:httpiconenpepaon_,enpepa,_document:texticonviewpaper_)}
+
+_imageabstractintro_ [c=niupepa] {_gsimage_(_document:httppageabexpl_,_document:httpiconeintroof_,_document:httpiconeintroon_,intro,_document:texticonabstractintro_)}
 
 _imagethispaper_ [c=niupepa] {_If_(_httpthiscommentary_,_linkthispaper_,_nolinkthispaper_)}
 
-_linkthispaper_ [c=niupepa] {<a href="_httpthiscommentary_" 
-    onMouseover = "img\_on('commentary')" 
-    onMouseout = "img\_off('commentary')">_iconthispaper_</a>}
-_imagethispaper_ [c=niupepa,v=1] {<a href="_httpthiscommentary_">_texticoncommentary_</a><br>
-}
+_linkthispaper_ [c=niupepa] {_gsimage_(_document:httpthiscommentary_,_document:httpiconthispaper_of.gif,_document:httpiconthispaper_on.gif,comm,_document:texticoncommentary_)}
 
 # this occurs when we're at a commentary page - (no alt text, no link)
@@ -222,5 +161,5 @@
 _httpiconepiof_ [c=niupepa,l=mi] {_httpcollection_/images/mi/epiof.gif}
 _httpiconepion_ [c=niupepa] {_httpcollection_/images/epion.gif}
-_httpiconepion_ [c=niupepa,l=mi] {_httpcollection_/mi/epion.gif}
+_httpiconepion_ [c=niupepa,l=mi] {_httpcollection_/images/mi/epion.gif}
 _widthepix_ [c=niupepa] {65}
 _widthepix_ [c=niupepa,l=mi] {65}