Index: unk/gsdl/INSTALL.TXT
===================================================================
--- /trunk/gsdl/INSTALL.TXT	(revision 1592)
+++ 	(revision )
@@ -1,196 +1,0 @@
-
-Greenstone installation instructions
-
-       Greenstone software:
-       
-     * Unix
-          + Source distribution
-          + Building collections
-     * Windows
-          + Source distribution
-          + Binary distributions
-          + Building collections
-       
-   Greenstone Collections
-   
-   Other software:
-     * Perl for Windows
-     * Apache web server
-       
-   For more information about how to use the software, consult The
-   Greenstone Digital Library Software manual.
-   
-Unix source distribution
-
-     * Download the latest version of the source distribution
-     * Extract the gzipped tar archive (tar xvzf gsdl-xx.x.tgz); this
-       will create a directory gsdl into which all software is installed
-     * In the gsdl directory, type ./configure
-     * When the configure script has finished running, type make
-     * Type make install, which copies the compiled library file into the
-       gsdl/cgi-bin directory, and also installs several executables that
-       are used to build collections into gsdl/bin/$GSDLOS
-     * Move both library and the gsdlsite.cfg configuration file to your
-       system's cgi-bin directory, so that the library runs as a cgi
-       script
-     * Edit the gsdlsite.cfg configuration file to suit your site. Set
-       the gsdlhome field to point to your gsdl directory. Other fields
-       that may need changing are httpprefix (the web path to the gsdl
-       directory) and httpimg (the path to gsdl/images)
-     * Build the Demo Collection that comes with the distribution
-     * Access the Greenstone Digital Library home page at
-       http://localhost/cgi-bin/library (replace "localhost" by the
-       server's URL if your Internet browser is not running on the server
-       computer)
-     * If the Demo Collection does not appear on the home page, run
-       library from the Unix command line to generate debugging
-       information to help you locate the problem
-     * Access the administration page at
-       http://localhost/cgi-bin/library?a=status
-       
-Windows source distribution
-
-     * Download the latest version of the source distribution--the same
-       source code as for Unix (though for Windows you may want to select
-       a zipped version)
-     * Extract the distribution using WinZip or a similar utility
-     * The default is to extract Greenstone directly into C:\ (i.e. a
-       directory C:\gsdl will be created into which all software is
-       installed)
-     * In the resulting gsdl directory type nmake win32.mak
-     * Type nmake /f win32.mak install, which copies the Web Library
-       version of library.exe into the gsdl\cgi-bin directory and the
-       Local Library version into the gsdl directory; it also installs
-       several executables that are used to build collections into
-       gsdl\bin\windows
-       
-Windows binary distributions
-
-       Three separate binary distributions are available for Windows: the
-       Local Library, the Web Library, and the Collection Builder. First
-       decide which distribution you want; then:
-       
-     * Download the latest version of the desired binary distribution
-     * Extract the distribution using WinZip or a similar utility
-     * The default is to extract Greenstone directly into C:\ (i.e. a
-       directory C:\gsdl will be created into which all software is
-       installed).
-     * If installing the Collection Builder as well as one of the
-       Libraries, be sure to extract both distributions in the same
-       directory. It is safe to allow files occurring in the second
-       distribution installed to overwrite those in the first.
-     * Follow the instructions below for the version you have downloaded:
-       Local Library
-          + Run the library.exe executable. This will automatically start
-            your Internet browser and load the Greenstone Digital Library
-            home page. The Demo collection should be accessible from this
-            page.
-          + Access the administration page at
-            http://localhost/cgi-bin/library?a=status
-       Web Library
-          + If Greenstone is not installed to C:\gsdl, edit the
-            gsdlsite.cfg configuration file (in the cgi-bin directory) by
-            setting the gsdlhome field to point to your gsdl directory
-          + If you do not already have a webserver, install Apache as
-            described below
-          + If using an existing webserver, check the gsdlsite.cfg
-            configuration file to ensure that httpprefix contains the web
-            path to the gsdl directory and httpimg contains the path to
-            gsdl\images
-          + The Greenstone Digital Library home page will appear as
-            http://localhost/cgi-bin/library (replace "localhost" by the
-            server's URL if your Internet browser is not running on the
-            server computer)
-          + If the Demo Collection does not appear on the home page, run
-            library.exe from the DOS prompt to generate debugging
-            information to help you locate the problem
-          + Access the administration page at
-            http://localhost/cgi-bin/library?a=status
-       Collection Builder
-          + If you do not already have Perl, you will need to install it
-            (see below)
-          + Download a test collection (e.g. the Demo Collection) and
-            build it
-          + Reload the Greenstone home page at
-            http://localhost/cgi-bin/library
-          + If the Demo Collection does not appear on the home page, run
-            library.exe from the DOS prompt to generate debugging
-            information to help you locate the problem
-       
-Greenstone Collections
-
-     * Install Greenstone as described above
-     * Download the required collection. Collection distributions with
-       filenames like ***_prebuilt.zip are pre-built collections. All
-       others will require building.
-     * Extract the .zip or .tgz file to your gsdl/collect directory
-     * Build the collection if it was not pre-built
-       
-   Once a new collection has been built, Greenstone will automatically
-   notice it and include it on the home page (when you click Reload).
-   
-   Building Greenstone Collections on Unix
-     * Source setup.bash or setup.csh from within the gsdl directory to
-       set up environment variables and path (e.g. source setup.bash)
-     * Note that pwd is used to set $GSDLHOME. If you need to be able to
-       source setup.bash or setup.csh from a directory other than gsdl
-       (e.g. from your .profile or .bashrc) you will need to edit the
-       script.
-     * Run build colname, where colname is the directory name of your
-       collection (e.g. demo).
-       
-   Building Greenstone Collections on Windows
-     * Make sure the setup.bat batch file is correct (i.e. that it sets
-       the GSDLHOME environment variable to the correct path of your gsdl
-       directory)
-     * run setup.bat
-     * Run build colname, where colname is the directory name of your
-       collection (e.g. demo).
-       
-   To find out more about building collections, consult The Greenstone
-   Digital Library Software manual.
-   
-Perl for Windows
-
-     * Download Perl (pre-5.6 version)
-     * Doubleclick the self-extracting executable and follow instructions
-       
-The Apache Webserver
-
-     * Download the latest version of the Apache distribution
-     * Doubleclick the self-extracting executable and follow instructions
-     * Configure Apache for use with Greenstone by adding the following
-       to your Apache server's httpd.conf configuration file (which
-       resides in the Apache conf directory)
-     * Existing server configurations may need to be configured
-       differently--see your system administrator if necessary
-         _____________________________________________________________
-       
-       # Some NT installations complain about an inability to work
-       ServerName
-       # out for themselves -- on most systems you can leave it commented
-       out.
-       # "localhost" should be replaced by www.yourserver.com if you plan
-       # to serve Greenstone to anyone other than the local machine.
-       # ServerName localhost
-       # Make cgi-bin point to your Greenstone cgi-bin directory.
-       # Note the forward
-       # slashes (/) instead of standard Windows
-       # backslashes (\) -- a hangover from Apache's Unix roots.
-       ScriptAlias /cgi-bin/ "c:/gsdl/cgi-bin/"
-       <Directory "c:/gsdl/cgi-bin">
-       AllowOverride None
-       Options None
-       </Directory>
-       # DocumentRoot points to your Greenstone root directory.
-       # Make sure that httpd.conf doesn't contain any other DocumentRoot
-       # directives -- if they come after this they'll override it
-       DocumentRoot "c:/gsdl"
-       <Directory "c:/gsdl">
-       Allow from All
-       </Directory>
-       # Redirect http://localhost to http://localhost/cgi-bin/library
-       # "localhost" should be replaced by www.yourserver.com if you plan
-       # to serve Greenstone to anyone other than the local machine.
-       Redirect /index.html http://localhost/cgi-bin/library
-         _____________________________________________________________
Index: unk/gsdl/README.TXT
===================================================================
--- /trunk/gsdl/README.TXT	(revision 1592)
+++ 	(revision )
@@ -1,179 +1,0 @@
-   
-The Greenstone software
-
-       Here we explain the software packages and information collections
-       in the Greenstone Digital Library software that you can download
-       and run on your own computer. Installation instructions for each
-       version of the software are given separately.
-       Greenstone is open-source software, distributed under the terms of
-       the GNU General Public License.
-       For more information about how to use the software, read The
-       Greenstone Digital Library Software manual (PDF format, 570 Kb).
-       This document also describes how to obtain associated software,
-       that is also freely available--ActiveState Perl and the Apache
-       Webserver.
-       
-Greenstone Distributions
-
-       Versions of Greenstone are available for
-       
-     * Unix
-          + Source distribution
-     * Windows
-          + Source distribution
-          + Binary distributions
-               o Local Library
-               o Web Library
-               o Collection Builder
-       
-   and you can also download some
-   
-     * Greenstone Collections
-       
-   All distributions are downloaded using the ftp protocol. The
-   directories contain old versions too, but we recommend that you always
-   download the latest release.
-   
-Unix source distribution
-
-   Greenstone has been developed and thoroughly tested on Linux systems.
-       It has also been compiled and had some testing on SunOS 5.6.
-       Please tell us if you port it to other flavors of Unix. Currently,
-       only a source distribution is available for Unix (let us know if
-       you need Unix binaries).
-       
-   In order to compile the Greenstone source on Unix, you will need
-     * GCC, the Gnu C++ compiler. Greenstone makes extensive use of the
-       C++ standard template library (we've found it to be broken on some
-       older versions of GCC; please tell us if you have STL problems)
-     * GDBM, the Gnu database manager (www.gnu.org)
-       
-   In order to run the Greenstone software, you will also need
-     * Perl (version 5 or higher) (www.gnu.org)
-     * Webserver software, e.g. Apache (www.apache.org)
-       
-   Most Unix installations will already have all that is required.
-   
-Windows source distribution
-
-       The source code is the same for Windows as for Unix, but the
-       installation instructions are different. Greenstone has currently
-       only been compiled on Windows using Microsoft Visual C++ 4.2 (we
-       use this version to retain compatibility with Windows 3.x). Minor
-       problems may occur with compilers other than VC++ 4.2--these will
-       be sorted out very soon for VC++ 6.0 and various Windows ports of
-       GNU GCC.
-       
-   In order to compile the Greenstone source on Windows, you will need
-     * Microsoft Visual C++ 4.2
-     * STL, the C++ standard template library (newer versions of VC++ and
-       GCC come with STL included) (www.sgi.com/Technology/STL)
-       
-   The GDBM source is included in the Greenstone source distribution.
-   
-   In order to run the Greenstone software, you will also need
-     * Perl (we recommend ActivePerl, see below)
-     * Webserver software (we recommend Apache, see below)
-       
-Windows binary distributions
-
-       There are three separate binary distributions for Windows: the
-       Local Library, the Web Library, and the Collection Builder.
-       Local Library. This enables any Windows computer to serve
-       pre-built Greenstone collections. The package includes the Demo
-       Collection; other collections can be downloaded in pre-built form.
-       The software is the same as that used on Greenstone CD-ROMs.
-       The Local Library is intended for use on standalone computers or
-       computers that do not already have webserver software. It contains
-       a built-in webserver, with limited web-serving configurability, so
-       that other computers on the same network can also access the
-       library.
-       
-   In order to construct new Greenstone collections, you will also need
-     * Collection Builder
-       
-   Web Library. This enables any computer with an existing webserver
-   (e.g. Apache) to serve pre-built Greenstone collections. The package
-   includes the Demo Collection; other collections can be downloaded in
-   pre-built form.
-   
-   The Web Library differs from the Local Library because the Local
-   Library is intended for computers that do not already have webserver
-   software.
-   
-   In order to run the Web Library, you will also need
-     * Webserver software (we recommend Apache, see below)
-       
-   In order to construct new Greenstone collections, you will also need
-     * Collection Builder
-       
-   Collection Builder. This allows you to build collections containing
-   material of your choice. Once built, collections can be served by
-   either the Local Library or the Web Library package. Several NZDL
-   collections can be downloaded in unbuilt form (see below) and built
-   using the Collection Builder.
-   
-   This package does not include any collections. You need to download a
-   collection (e.g. the Demo Collection) in order to try it out.
-   
-   In order to run the Collection Builder, you will also need
-     * Perl (we recommend ActivePerl, see below)
-       
-   In order to serve any collections you build, you will also need
-     * Local Library or Web Library package
-       
-Associated Software
-
-       Perl. We recommend ActivePerl from www.activestate.com
-       It seems that newer versions (Perl 5.6) do not work with the
-       Greenstone building programs: accordingly, you should download a
-       pre-5.6 version. (Whether this is a bug in our code, in
-       ActiveState's port of Perl 5.6, or in Perl 5.6 itself, is
-       difficult to say.) Please tell us any information on which Perl
-       ports work and which don't.
-       
-   Apache Webserver. Apache is free, and easy to install.
-   
-Greenstone Collections
-
-   Several of the collections on the NZDL website are available for
-       download, either in pre-built or unbuilt form.
-       
-   Note: on Windows, you need the Collection Builder package to make use
-   of unbuilt collections.
-   
-   The following collections are currently available
-   
-   Arabic Demonstration Collection arabic 4.2 Mb
-   Bibliotheque pour le developpement ... tulane 340 Mb
-   Chinese Demonstration Collection chinese 0.47 Mb
-   Collection on Critical Global Issues unu 71 Mb
-   Collection on Critical Global Issues 2 ccgi 102 Mb
-   Computer Science Bibliographies csbib 112 Mb
-   Computer Science Technical Reports cstr 1800 Mb
-   Demo Collection demo 2.5 Mb
-   Food and Nutrition Library fnl 98 Mb
-   HCI Bibliography hcibib 4.8 Mb
-   Humanity Development Library hdl 387 Mb
-   Indigenous Peoples Collection ipc 3.6 Mb
-   Mäori Newspapers niupepa 659 Mb
-   Medical and Health Library mhl 73 Mb
-   Project Gutenberg Collection gberg 428 Mb
-   Sahel Point Doc unesco 78 Mb
-   The Computists' Weekly tcc 5.0 Mb
-   Tidbits tidbits 5.4 Mb
-   Virtual Disaster Library paho 73 Mb
-   Women's History Collection whist 12 Mb
-   World Environment Library envl 220 Mb
-   Youth Oral History collection ohist 421 Mb
-       
-Bugs
-
-   Please report bugs or installation problems to
-       greenstone@cs.waikato.ac.nz
-       
-              -----------------------------------------------
-                                      
-   New Zealand Digital Library Project
-   Department of Computer Science, University of Waikato, New Zealand
-   April 2000